package com.ruoyi.shipping.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author ZhaoQian La
 * @Date 2021/5/7 11:57
 * @Version 1.0
 */

/**
 * 网页版对账查询
 */
public class TAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /*
      * 始发港
     */
    private Long fLoadportid;

    /**
     * 目的港
     */
    private Long fDestportid;
    /**
     * 受票人
     */
    private String fInvoceobj;
    /**
     * 发货人全称
     */
    private String fShippername;
    /**
     * 收货人全称
     */
    private String fConsigneername;
    /**
     * 提单号
     */
    private String fMblno;
    /**
     * 运单号
     *
     */
    private String fBillno;
    /**
     * 船名
     */
    private Long fVslid;

    /**
     * 航次
     */
    private Long fVoyid;
    /**
     * 开航时间
     */
    private List<String> sailTime;
    /**
     * 船名
     */
    private String vesselName;
    /**
     * 航次
     */
    private String voyageName;
    /**
     * 收费单位
     */
    private String invoice;
    /**
     * 受票单位
     */
    private String drawee;
    /**
     * 货权方
     */
    private String corpName;
    /**
     * 付款方式
     */
    private String fPaymode;
    /**
     * 费用名称
     */
    private String payment;
    /**
     * 原始金额
     */
    private BigDecimal fAmtdr;
    /**
     * 本次金额
     */
    private BigDecimal fAmt;
    /**
     * 始发港
     */
    private String fLoadportidName;
    /**
     * 目的港
     */
    private String fDestportidName;
    /**
     * 运输条款
     */
    private String fServiceitems;
    /**
     * 货名
     */
    private String goodName;
    /**
     * 箱型
     */
    private String transit;
    /**
     * 箱量
     */
    private Long fCntrcount;
    /**
     * 费用表id
     */
    private Long fSrcid;
    /**
     * 订单主表id
     */
    private Long fSrcpid;
    /**
     * 结算单位
     */
    private Long fCorpid;
    /**
     * 费用id
     */
    private Long fFeeid;
    /**
     * 查对账明细的id
     */
    private Long fId;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fDocmentdate;
    /**
     * 付款方式
     */
    private Long fPaymodeid;
    /**
     * 对账编号
     */
    private String accountBillno;

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public String getAccountBillno() {
        return accountBillno;
    }

    public void setAccountBillno(String accountBillno) {
        this.accountBillno = accountBillno;
    }

    public Long getfPaymodeid() {
        return fPaymodeid;
    }

    public void setfPaymodeid(Long fPaymodeid) {
        this.fPaymodeid = fPaymodeid;
    }

    public Date getfDocmentdate() {
        return fDocmentdate;
    }

    public void setfDocmentdate(Date fDocmentdate) {
        this.fDocmentdate = fDocmentdate;
    }

    public Long getfLoadportid() {
        return fLoadportid;
    }

    public void setfLoadportid(Long fLoadportid) {
        this.fLoadportid = fLoadportid;
    }

    public Long getfDestportid() {
        return fDestportid;
    }

    public void setfDestportid(Long fDestportid) {
        this.fDestportid = fDestportid;
    }

    public String getfInvoceobj() {
        return fInvoceobj;
    }

    public void setfInvoceobj(String fInvoceobj) {
        this.fInvoceobj = fInvoceobj;
    }

    public String getfShippername() {
        return fShippername;
    }

    public void setfShippername(String fShippername) {
        this.fShippername = fShippername;
    }

    public String getfConsigneername() {
        return fConsigneername;
    }

    public void setfConsigneername(String fConsigneername) {
        this.fConsigneername = fConsigneername;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfBillno() {
        return fBillno;
    }

    public void setfBillno(String fBillno) {
        this.fBillno = fBillno;
    }

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }

    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public List<String> getSailTime() {
        return sailTime;
    }

    public void setSailTime(List<String> sailTime) {
        this.sailTime = sailTime;
    }

    public String getVesselName() {
        return vesselName;
    }

    public void setVesselName(String vesselName) {
        this.vesselName = vesselName;
    }

    public String getVoyageName() {
        return voyageName;
    }

    public void setVoyageName(String voyageName) {
        this.voyageName = voyageName;
    }

    public String getInvoice() {
        return invoice;
    }

    public void setInvoice(String invoice) {
        this.invoice = invoice;
    }

    public String getDrawee() {
        return drawee;
    }

    public void setDrawee(String drawee) {
        this.drawee = drawee;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getfPaymode() {
        return fPaymode;
    }

    public void setfPaymode(String fPaymode) {
        this.fPaymode = fPaymode;
    }

    public String getPayment() {
        return payment;
    }

    public void setPayment(String payment) {
        this.payment = payment;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public String getfLoadportidName() {
        return fLoadportidName;
    }

    public void setfLoadportidName(String fLoadportidName) {
        this.fLoadportidName = fLoadportidName;
    }

    public String getfDestportidName() {
        return fDestportidName;
    }

    public void setfDestportidName(String fDestportidName) {
        this.fDestportidName = fDestportidName;
    }

    public String getfServiceitems() {
        return fServiceitems;
    }

    public void setfServiceitems(String fServiceitems) {
        this.fServiceitems = fServiceitems;
    }

    public String getGoodName() {
        return goodName;
    }

    public void setGoodName(String goodName) {
        this.goodName = goodName;
    }

    public String getTransit() {
        return transit;
    }

    public void setTransit(String transit) {
        this.transit = transit;
    }

    public Long getfCntrcount() {
        return fCntrcount;
    }

    public void setfCntrcount(Long fCntrcount) {
        this.fCntrcount = fCntrcount;
    }

    public Long getfSrcid() {
        return fSrcid;
    }

    public void setfSrcid(Long fSrcid) {
        this.fSrcid = fSrcid;
    }

    public Long getfSrcpid() {
        return fSrcpid;
    }

    public void setfSrcpid(Long fSrcpid) {
        this.fSrcpid = fSrcpid;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public Long getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(Long fFeeid) {
        this.fFeeid = fFeeid;
    }

    @Override
    public String toString() {
        return "TAccount{" +
                "fLoadportid=" + fLoadportid +
                ", fDestportid=" + fDestportid +
                ", fInvoceobj='" + fInvoceobj + '\'' +
                ", fShippername='" + fShippername + '\'' +
                ", fConsigneername='" + fConsigneername + '\'' +
                ", fMblno='" + fMblno + '\'' +
                ", fBillno='" + fBillno + '\'' +
                ", fVslid=" + fVslid +
                ", fVoyid=" + fVoyid +
                ", sailTime=" + sailTime +
                ", vesselName='" + vesselName + '\'' +
                ", voyageName='" + voyageName + '\'' +
                ", invoice='" + invoice + '\'' +
                ", drawee='" + drawee + '\'' +
                ", corpName='" + corpName + '\'' +
                ", fPaymode='" + fPaymode + '\'' +
                ", payment='" + payment + '\'' +
                ", fAmtdr=" + fAmtdr +
                ", fAmt=" + fAmt +
                ", fLoadportidName='" + fLoadportidName + '\'' +
                ", fDestportidName='" + fDestportidName + '\'' +
                ", fServiceitems='" + fServiceitems + '\'' +
                ", goodName='" + goodName + '\'' +
                ", transit='" + transit + '\'' +
                ", fCntrcount=" + fCntrcount +
                ", fSrcid=" + fSrcid +
                ", fSrcpid=" + fSrcpid +
                ", fCorpid=" + fCorpid +
                ", fFeeid=" + fFeeid +
                '}';
    }
}
